- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Static Public Member Functions | Friends

# QSound Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qsound.h.

`#include <qsound.h>`

Inheritance diagram for QSound:
[legend]

List of all members.

## Public Slots
void | play ()
void | stop ()
## Public Member Functions
| QSound (const QString &filename, QObject *parent=0)
| ~QSound ()
int | loops () const
int | loopsRemaining () const
void | setLoops (int)
QString | fileName () const
bool | isFinished () const
## Static Public Member Functions
static bool | isAvailable ()
static void | play (const QString &filename)
## Friends
class | QAuServer

## Constructor & Destructor Documentation

QSound | ( | const QString & | filename,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

~QSound | ( |  | ) |

## Member Function Documentation

static bool isAvailable | ( |  | ) | `[static]`

Search for all occurrences

static void play | ( | const QString & | filename | ) | `[static]`

Search for all occurrences

int loops | ( |  | ) | const

Search for all occurrences

int loopsRemaining | ( |  | ) | const

Search for all occurrences

void setLoops | ( | int |  | ) |

Search for all occurrences

QString fileName | ( |  | ) | const

Search for all occurrences

bool isFinished | ( |  | ) | const

Search for all occurrences

void play | ( |  | ) | `[slot]`

Search for all occurrences

void stop | ( |  | ) | `[slot]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QAuServer `[friend]`

Search for all occurrences

Definition at line 86 of file qsound.h.

The documentation for this class was generated from the following file:

- QtGui/qsound.h

QSound QSound QSound QSound QSound QSound QSound QSound QSound QSound
QSound QSound QSound QSound QSound QSound QSound QSound QSound QSound